#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: smallcheck
version: 1.1.4
id: smallcheck-1.1.4-CnGyVRrYv24DCDBukmNZV6
key: smallcheck-1.1.4-CnGyVRrYv24DCDBukmNZV6
license: BSD-3-Clause
maintainer: Roman Cheplyaka <roma@ro-che.info>
author: Colin Runciman, Roman Cheplyaka
stability: Beta
homepage: https://github.com/feuerbach/smallcheck
synopsis: A property-based testing library
description:
    SmallCheck is a testing library that allows to verify properties
    for all test cases up to some depth. The test cases are generated
    automatically by SmallCheck.
category: Testing
abi: 62320aee576fe5eb65f5bb1e1d62c49a
exposed: True
exposed-modules:
    Test.SmallCheck Test.SmallCheck.Drivers Test.SmallCheck.Series
hidden-modules: Test.SmallCheck.Property
                Test.SmallCheck.SeriesMonad Test.SmallCheck.Property.Result
import-dirs: /usr/lib/ghc-8.4.2/site-local/smallcheck-1.1.4
library-dirs: /usr/lib/ghc-8.4.2/site-local/smallcheck-1.1.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/smallcheck-1.1.4
hs-libraries: HSsmallcheck-1.1.4-CnGyVRrYv24DCDBukmNZV6
depends:
    base-4.11.1.0 ghc-prim-0.5.2.0 logict-0.6.0.2-bTigcTuAfUFUMwCRYsf8L
    mtl-2.2.2 pretty-1.1.3.6
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             ghc-prim-0.5.2.0=a22477c99003a90dd639dbfd07997615
             logict-0.6.0.2-bTigcTuAfUFUMwCRYsf8L=97a195f5798da25db9e8ea6674b13424
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             pretty-1.1.3.6=003e48b94caa84f26c31da01b81a0320
haddock-interfaces: /usr/share/doc/haskell-smallcheck/html/smallcheck.haddock
haddock-html: /usr/share/doc/haskell-smallcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

